import { type RouteConfig, index, route, prefix } from "@react-router/dev/routes";

export default [
    index("pages/HomePage.tsx"),
    // route("page2", "pages/Page2.tsx"),

    route("dashboard", "pages/Dashboard.tsx", [
        index("pages/dashboard/Home.tsx"),

        route("test_get_list", "pages/dashboard/PerformanceTestGetList.tsx"),
        route("test_push_data", "pages/dashboard/PerformanceTestPushData.tsx"),
        route("about", "pages/dashboard/About.tsx"),

        route("page2", "pages/dashboard/Page2.tsx"),
    ]),
] satisfies RouteConfig;
